#
# spec file for package python-pytest-lazy-fixture
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-pytest-lazy-fixture
Version:        0.6.3
Release:        2.7
Summary:        Helper to use fixtures in pytest.markparametrize
License:        MIT
URL:            https://github.com/tvorog/pytest-lazy-fixture
Source:         https://files.pythonhosted.org/packages/source/p/pytest-lazy-fixture/pytest-lazy-fixture-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 3.2.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.2.5
BuildArch:      noarch
%python_subpackages

%description
Helper to use fixtures in pytest.mark.parametrize.

%prep
%setup -q -n pytest-lazy-fixture-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.6.3:
  * no changelog
* Wed Dec  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.6.2:
  * minor fixes
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.6.1:
  * minor fixes
* Sun Mar 17 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.5.2
  - Include tests in sdist
* Tue Feb 12 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5.1
